# Managed_Object.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Object_Manager.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/Managed_Object.inl"`
`#include "ace/Managed_Object.cpp"`

Include dependency graph for Managed_Object.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Cleanup_Adapter< TYPE >
| Adapter for ACE_Cleanup objects that allows them to be readily managed by the ACE_Object_Manager. More...
class | ACE_Managed_Object< TYPE >
| Wrapper for interface to allocate an object managed by the ACE_Object_Manager. More...

## Detailed Description

Id
  Managed_Object.h,v 4.35 2006/01/25 19:53:55 jwillemsen Exp

Author:
  David L. Levine <levine@cs.wustl.edu>